Failed to run 32 bit binary

As I asked in the previous post, I received a report about the new 32 bit binary shipped in the fblog- release. Bad news:

FATAL: kernel too old
Segmentation fault

From my side, I found a forgotten laptop of my own (bought in 2008, an Asus Eee PC 4G) and I did the test: same result.

So, I can't tell you if this 32 bit binary run on modern Linux system or not. And I didn't know if the problem is from the version of compiler by itself or the kernel version of the machine where the binary is built. It could be also an other parameter like the libc version or the linker version.